# Class ErrorMode

java.lang.Object
uk.ac.starlink.ttools.plot.ErrorMode

public class ErrorMode extends Object
Enumeration class which describes, for each dimension, what is the error reporting regime.

Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ErrorMode.Extent`
Enumeration class which lists the distance quantities used by different error modes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ErrorMode`
`BOTH`
Both lower and upper bounds specified independently.
`static final ErrorMode.Extent`
`BOTH_EXTENT`
Extent describing errors symmetrically lower and higher than the point value.
`static final ErrorMode`
`LOWER`
Lower error bound only.
`static final ErrorMode.Extent`
`LOWER_EXTENT`
Extent describing errors only lower than the point value.
`static final ErrorMode`
`NONE`
No error bounds.
`static final ErrorMode`
`SYMMETRIC`
The same error value in both directions.
`static final ErrorMode`
`UPPER`
Upper error bound only.
`static final ErrorMode.Extent`
`UPPER_EXTENT`
Extent describing errors only higher than the point value.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`allBlank(ErrorMode[] modes)`
Indicates whether an array of error modes represents drawing no error information at all.
`double`
`getExampleLower()`
Returns a value between 0 and 1 which represents an example lower bound for this mode, for instance 1 if the bound is in use and 0 if not.
`double`
`getExampleUpper()`
Returns a value between 0 and 1 which represents an example upper bound for this mode, for instance 1 if the bound is in use and 0 if it is not.
`ErrorMode.Extent[]`
`getExtents()`
Returns the extent objects which characterise this mode.
`static ErrorMode[]`
`getOptions()`
Returns a list of all the error bar options.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NONE

public static final ErrorMode NONE
No error bounds.

### SYMMETRIC

public static final ErrorMode SYMMETRIC
The same error value in both directions.

### LOWER

public static final ErrorMode LOWER
Lower error bound only.

### UPPER

public static final ErrorMode UPPER
Upper error bound only.

### BOTH

public static final ErrorMode BOTH
Both lower and upper bounds specified independently.

### LOWER_EXTENT

public static final ErrorMode.Extent LOWER_EXTENT
Extent describing errors only lower than the point value.

### UPPER_EXTENT

public static final ErrorMode.Extent UPPER_EXTENT
Extent describing errors only higher than the point value.

### BOTH_EXTENT

public static final ErrorMode.Extent BOTH_EXTENT
Extent describing errors symmetrically lower and higher than the point value.

## Method Details

### getExtents

public ErrorMode.Extent[] getExtents()
Returns the extent objects which characterise this mode.

Returns:
  extent array

### getExampleLower

public double getExampleLower()
Returns a value between 0 and 1 which represents an example lower bound for this mode, for instance 1 if the bound is in use and 0 if not.

Returns:
  exemplary lower bound

### getExampleUpper

public double getExampleUpper()
Returns a value between 0 and 1 which represents an example upper bound for this mode, for instance 1 if the bound is in use and 0 if it is not.

Returns:
  examplary upper bound

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getOptions

public static ErrorMode[] getOptions()
Returns a list of all the error bar options.

Returns:
  error bar count list

### allBlank

public static boolean allBlank(ErrorMode[] modes)
Indicates whether an array of error modes represents drawing no error information at all.

Parameters:
  `modes` - list of error modes, one per dimension
Returns:
  true if none of the dimensions contains error information